use anyhow::Result;

mod cli;

fn main() -> Result<()> {
    let mut args = cli::parse_command_line()?;
    let keys = cli::validate_command_line(&mut args)?;
    let _cli = cli::Cli::new(args, keys);
    println!("Hello, world!");
    Ok(())
}
